#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Python port of linkify-it: links recognition library with full Unicode support
Summary(pl.UTF-8):	Pythonowy port linkify-it: biblioteka dozpoznająca odnośniki z pełną obsługą Unicode
Name:		python3-linkify-it-py
Version:	2.0.3
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/linkify-it-py/
Source0:	https://files.pythonhosted.org/packages/source/l/linkify-it-py/linkify-it-py-%{version}.tar.gz
# Source0-md5:	77789d84906609eb68246a43e9e3f626
URL:		https://pypi.org/project/linkify-it-py/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-cov
BuildRequires:	python3-uc-micro-py
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
BuildRequires:	sed >= 4.0
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Python port of linkify-it:
- links recognition library with full Unicode support
- focused on high quality link patterns detection in plain text

%description -l pl.UTF-8
Ten pakiet to pythonowy port projektu linkify-it:
- biblioteka rozpoznająca odnośniki z pełną obsługą Unicode
- skupia się na wysokiej jakości rozpoznawania wzorców odnośników w
  czystym tekście

%prep
%setup -q -n linkify-it-py-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%{py3_sitescriptdir}/linkify_it
%{py3_sitescriptdir}/linkify_it_py-%{version}.dist-info
%changelog
* Mon Jun 23 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-linkify-it-py.git;a=log;h=master

* Mon Jun 23 2025 Jakub Bogusz <qboosh@pld-linux.org> 4aa16d7
- updated to 2.0.3

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 84f8ade
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 077a1c4
- python 3.13 rebuild

* Fri Jan 13 2023 Jakub Bogusz <qboosh@pld-linux.org> 25140ac
- new

